//----------------------------------------------------------------------------
//  Project AlphaBlending
//  
//  Copyright  1997. All Rights Reserved.
//
//  SUBSYSTEM:    AlphaBlending Application
//  FILE:         alphablendingapp.cpp
//  AUTHOR:       
//
//  OVERVIEW
//  ~~~~~~~~
//  Source file for implementation of TAlphaBlendingApp (TApplication).
//
//----------------------------------------------------------------------------

#include <owl/pch.h>

#include <stdio.h>

#include "alphablendingapp.h"
#include "alphablendingdlgclient.h"                        // Definition of client class.


//{{TAlphaBlendingApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(TAlphaBlendingApp, TApplication)
//{{TAlphaBlendingAppRSP_TBL_BEGIN}}
  EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{TAlphaBlendingAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//--------------------------------------------------------
// TAlphaBlendingApp
//
TAlphaBlendingApp::TAlphaBlendingApp() : TApplication("AlphaBlending")
{

  // INSERT>> Your constructor code here.
}


TAlphaBlendingApp::~TAlphaBlendingApp()
{
  // INSERT>> Your destructor code here.
}


//--------------------------------------------------------
// TAlphaBlendingApp
// ~~~~~
// Application intialization.
//
void TAlphaBlendingApp::InitMainWindow() {
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  TSDIDecFrame* frame = new TSDIDecFrame(0, GetName(), 0, false);
  frame->SetFlag(wfShrinkToClient);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  SetMainWindow(frame);

}

//
// Menu Help About AlphaBlending command
//
void TAlphaBlendingApp::CmHelpAbout()
{
}



//
// Build a response table for all messages/commands handled by the application.
//
DEFINE_RESPONSE_TABLE1(TSDIDecFrame, TDecoratedFrame)
//{{TSDIDecFrameRSP_TBL_BEGIN}}
  EV_WM_ACTIVATE,
//{{TSDIDecFrameRSP_TBL_END}}
END_RESPONSE_TABLE;


//{{TSDIDecFrame Implementation}}


TSDIDecFrame::TSDIDecFrame(TWindow* parent, const char far* title, TWindow* clientWnd, bool trackMenuSelection, TModule* module)
:
  TDecoratedFrame(parent, title, !clientWnd ? new TAlphaBlendingDlgClient(0) : clientWnd, trackMenuSelection, module)
{
  // INSERT>> Your constructor code here.

}


TSDIDecFrame::~TSDIDecFrame() {
  // INSERT>> Your destructor code here.

}


void TSDIDecFrame::EvActivate(uint active, bool minimized, THandle hWndOther )
{
    TDecoratedFrame::EvActivate(active, minimized, hWndOther );

  // INSERT>> Your code here.
	TAlphaBlendingDlgClient *pW=TYPESAFE_DOWNCAST(GetClientWindow(), TAlphaBlendingDlgClient);
	if (pW) {
		pW->EvActivate(active, minimized, hWndOther );
   }

}



//--------------------------------------------------------


int OwlMain(int , char* [])
{
  TAlphaBlendingApp   app;
  return app.Run();
}


